<?php
namespace App\Models;

use CodeIgniter\Model;

class myfitHx extends Model
{
    protected $db;
    public $con_name = 'mermsemr';

    public function __construct()
    {
        parent::__construct();
        $this->db = \Config\Database::connect($this->con_name);
    }

    public function readLoginHx($in)
    {
        $sqlQ =
            'SELECT * FROM members_login_hx WHERE member_id='.$in['member_id'];
        $query = $this->db->query($sqlQ);
        $data['loginhx_data'] = $query->getResultArray();
        return $inx = [
            'loginhx' => $data['loginhx_data'],
            'status' => 1,
            'raw_data' => $in,
        ];

     }

}
